> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows.md).

# Access Reviews APIs

Methods for interacting with workflows and certifications

These endpoints enable listing workflows, listing certifications, getting certification results, and updating certifications. They can be used to programmatically retrieve workflow and certification details, and update certification rows with a decision or note, such as ticket number.

These endpoints also provide utility functionality, such as managing the reviewer deny list, populating results with webhook response info, and customizing quick filters, smart actions, and help pages.

## Core Workflow Operations

* [List Workflows](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccessworkflows.md)
* [Update Review Configuration](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updateaccessreview.md)
* [Create a certification](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/createcertification.md)
* [List Certifications](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertifications.md)
* [List Certification Results](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertresults.md)
* [Update Certification Result](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updateaccesscertresult.md)
* [Force Update Result](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/forceupdateresult.md)
* [Get Certification Result](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/getaccesscertresult.md)
* [Access Review Exports](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/access-review-exports.md)
* [Update Webhook Info](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updatewebhookinfo.md)
* [Manage Reviewer Deny List](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updatereviewerdenylist.md)
* [Workflow Parameters](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/parameters.md)
* [Quick Filters](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/quickfilters.md)
* [Help Page Templates](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/help-page-templates.md)
* [Smart Action Definitions](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/smart-action-definitions.md)
* [Delegate Reviewers](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/delegatereviewers.md)
* [List Reviewer Infos](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listreviewerinfo.md)

> APIs for Veza Access Reviews are subject to change, and as such are provided with the `/preview` API collection. Use the appropriate prefix when calling the API, for example, `your-org.vezacloud.com/api/preview/`.

## Quick start

First, save your [API key](/4yItIzMvkpAvMVFAamTf/developers/api/authentication.md) and Veza base URL as environment variables:

```bash
export VEZA_TOKEN=APIKEY
export VEZA_URL=https://your-org.vezacloud.com
```

[**List Workflows**](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccessworkflows.md)

Get all workflows and IDs:

```bash
curl "$VEZA_URL/api/preview/awf/workflows" \
  -H "authorization: Bearer $VEZA_TOKEN"
```

[**List Certifications**](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertifications.md)

Use a workflow id to get active and pending certifications for that workflow:

```bash
curl "$VEZA_URL/api/preview/awf/certifications?workflow_id=b9dc2586-5f30-4462-b6be-53f62debc40f" \
  -H "authorization: Bearer $VEZA_TOKEN"
```

The response will include certification details, including the certification ids.

[**List Certification Results**](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertresults.md)

Using a certification id, you can get results for the certification, including entity attributes:

```bash
curl "$VEZA_URL/api/preview/awf/certifications/b2562ef3-a4b3-4b30-8a45-1ba36f945d10/results?offset=0&size=30" \
  -H "authorization: Bearer $VEZA_TOKEN"
```

[**Update Certification Result**](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updateaccesscertresult.md)

Update a certification result row with a note:

```bash
curl -X PUT "$VEZA_URL/api/preview/awf/certifications/b2562ef3-a4b3-4b30-8a45-1ba36f945d10/results" \
  -H "authorization: Bearer $VEZA_TOKEN" \
  -d '{"value": {"result_id": 0,"decisions": "REJECTED", "notes": "Over-privileged"}}'

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
